portsmodel::Port_2_0_2::Properties Struct Reference

Port properties. More...

`import"Port.idl";`

## Public Attributes

string | name
| user defineable name - NOT USED RIGHT NOW!
string | label
| label on device
DetectionMode | mode
| detection mode
string | detectedDeviceType
| detected device type or empty if nothing connected
string | detectedDeviceName
| detected device name or empty if nothing connected

## Detailed Description

Port properties.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Port.idl